Bug 108400 - user and groups crashes in graphical mode
user and groups crashes in graphical mode
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-users (Show other bugs)
3.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-28 18:22 EST by David Weil
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-01 15:03:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Weil 2003-10-28 18:22:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
When I bring up the graphical users and groups from a terminal window I get the
following message

redhat-config-users
Traceback (most recent call last):
  File "/usr/share/redhat-config-users/redhat-config-users.py", line 45, in ?
    mainWindow.mainWindow()
  File "/usr/share/redhat-config-users/mainWindow.py", line 224, in __init__
    self.filterCheckMenu.set_active(self.filterSystemUsers)
AttributeError: mainWindow instance has no attribute 'filterSystemUsers'


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run redhat-config-users at the terminal window
2.
3.
    

Actual Results:  It displayed the above message

Expected Results:  The graphical users and groups will come up

Additional info:
Comment 1 Brent Fox 2003-10-30 15:10:51 EST
What are the contents of /etc/sysconfig/redhat-config-users?
Comment 2 Brent Fox 2003-12-01 15:03:17 EST
I was able to reproduce this problem.  Somehow, the contents of your
/etc/sysconfig/redhat-config-users file has been corrupted.  I have
added code to handle this situation, although it does not answer the
question of how the "FILTER=true" or "FILTER=false" line got either
deleted or commented out of the file.

Should be fixed in system-config-users-1.2.7-1 in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.